Subject: Re: PINE/PICO temp files

From: "Christian T. Steigies" <[email-masked]>
Date: Thu, 15 May 1997 12:22:13 +0200

On 15 May 1997, Orjan Johansen wrote:

> In article <Pine.SOL.3.95.970514171135.447A-100000@sam>,
> Christian T. Steigies <[email-masked]> wrote:
> >Hi,
> >How can I convince PINE/PICO to write its temp files not to /tmp but to
> >/tmp/mydir ? I'm using the joe editor instead of pico but the temp files are
> >still called pico.something. I want them to go into mydir, the tmp dir looks
> >awfull, cleanup is much faster when its all in one dir.
> 
> I have been looking a bit around, and it seems like this is usually
> controlled by the $TMPDIR environment variable, which affects not just
> pine, but probably most Unix programs. You should be able to put the
> following in your (fingering to check your shell) .bashrc file:
> 
> export TMPDIR=/tmp/mydir
I'm using bash, but I have no .bashrc file. I set TMPDIR in my .profile,
TMP is allready set to /tmp/mydir. This made ELM/JOE to write its snd files
into mydir. TMPDIR doesnt help for neither for PINE/JOE nor when I use PICO
to edit a text file. pico files still end up in /tmp. 
I created a .bashrc with export TMPDIR ...
Don't work either... 
Yes, I did log in again to make the changes work.

Why does PINE create a pico file anyway when I use JOE? Probably its just
a name for the tmp file needed for attaching my sig file...

Ciao,
Christian.
--
-----------------------------------------------------------------------------
Christian T. Steigies                      EMail: [email-masked]
Institut fuer Experimentalphysik,                                    CAU Kiel
Olshausenstrasse 40-60                                           D-24098 Kiel
Tel: +49 - (0)431-880-3871                         Fax: +49 - (0)431-880-3809
-----------------------------------------------------------------------------